Subject: help installing wu-ftpd on SunOS 4.1.3_U1

From: [email-masked] (Ulla Fischer)
Date: Fri, 16 Jun 95 22:01:36 GMT

Dear wu-ftpd admins.

I'm trying to make wu-ftpd work, but it stops with the message:

Jun 16 13:55:36 james ftpd[276]: connection from butler [130.226.64.29]
Jun 16 13:55:36 james ftpd[276]: exiting on signal 11
Jun 16 13:55:36 james ftpd[276]: exiting on signal 11

I have tried both Version wu-2.4(3) and Version wu-2.4(1). 

The daemon is actually running because I can make it deny connections
without crashing:

Jun 16 16:47:40 james ftpd[347]: ACCESS DENIED (not in any class) TO james [130.226.65.52]
Jun 16 16:47:40 james ftpd[347]: ACCESS DENIED (not in any class) TO james [130.226.65.52]
Jun 16 16:47:40 james ftpd[347]: FTP LOGIN REFUSED (access denied) FROM james [130.226.65.52], anonymous
Jun 16 16:47:40 james ftpd[347]: FTP LOGIN REFUSED (access denied) FROM james [130.226.65.52], anonymous
Jun 16 16:47:40 james ftpd[347]: USER anonymous
Jun 16 16:47:46 james ftpd[347]: QUIT
Jun 16 16:47:46 james ftpd[347]: FTP session closed

>From the user it looks like this:

pratt% ftp james
Connected to james.
220 james FTP server (Version wu-2.4(1) Fri Jun 16 17:41:55 GMT 1995) ready.
Name (james:ulla): ulla
421 Service not available, remote server has closed connection
Login failed.
ftp> quit

Can someone please help?

Facts:

wu-ftpd is installed on a IPC called james running SunOS 4.1.3_U1
without any patches. It is running yp and is able to use DNS
(/etc/resolv.conf exists). 
It is compiled with gcc-2.6.3.
It is installed in /pack/ftpd
The password entry of ftp is:
	ftp:*:xxx:yyy:Anonymous FTP:/home/ftp:/bin/false
My pathnames.h in src differs in the following ways:
	james% diff my_pathnames.h pathnames.h.orig
	33c33
	< #define _PATH_FTPACCESS "/pack/ftpd/etc/ftpaccess"
	---
	> #define _PATH_FTPACCESS "/usr/local/etc/ftpaccess"
	35,37c35,37
	< #define _PATH_PIDNAMES  "/pack/ftpd/daemon/ftpd/ftp.pids-%s"
	< #define _PATH_CVT       "/pack/ftpd/etc/ftpconversions"
	< #define _PATH_XFERLOG   "/pack/ftpd/log/wu-ftpd-log"
	---
	> #define _PATH_PIDNAMES  "/usr/local/daemon/ftpd/ftp.pids-%s"
	> #define _PATH_CVT       "/usr/local/etc/ftpconversions"
	> #define _PATH_XFERLOG   "/usr/adm/xferlog"
	50c50
	< #define _PATH_FTPHOSTS  "/pack/ftpd/etc/ftphosts"
	---
	> #define _PATH_FTPHOSTS  "/usr/local/etc/ftphosts"

My Makefile in the wu-ftpd-2.4 source direcory differs from the orig
in the following ways:
	james% diff my_Makefile Makefile.orig
	1,3c1,3
	< BINDIR=               /pack/ftpd/bin
	< ETCDIR=               /pack/ftpd/etc
	< MANDIR=               /pack/ftpd/man
	---
	> BINDIR=               /usr/local/bin
	> ETCDIR=               /usr/local/etc
	> MANDIR=               /usr/local/man

The entry in my /etc/inetd.conf is 
	ftp    stream  tcp     nowait  root    /pack/ftpd/etc/ftpd      ftpd 

My /etc/ftpusers and /etc/ftpgroups are the default ones. (I have
tried some experiments with the contents of the files, but without any
result) 

My /pack/ftpd/etc/ftpaccess contains:
	james# more ftpaccess
	class  all  anonymous  gate gate.dmi.min.dk pratt.dmi.min.dk pratt
	class  inside  real  * 
 
	loginfails  2
 
	chmod           no anonymous,guest
	delete          no anonymous,guest 
	overwrite       no anonymous,guest
	rename          no anonymous,guest
	umask           no anonymous,guest
 
	log commands anonymous,real
	log transfers anonymous,real

My /etc/ftpd/etc/ftpconversions and /etc/ftpd/etc/ftphosts are empty.
(I have tried some experiments with the contents of the files, but
without any result)

I have rebooted the machine. 

/home/ftp contains
	james# ls -la
	total 7
	dr-xr-xr-x  7 root          512 May 29 16:32 .
	drwxr-xr-x  4 root          512 May 28 21:03 ..
	d--x--x--x  3 root          512 May 29 15:48 bin
	dr-xr-xr-x  2 root          512 May 29 16:32 dev
	d--x--x--x  2 root          512 May 30 11:50 etc
	drwx-wx-wt  2 root          512 May 29 17:02 incoming
	dr-xr-xr-x  2 root          512 May 28 22:35 pub
/home/ftp/bin contains
	james# ls -la bin
	total 453
	d--x--x--x  3 root          512 May 29 15:48 .
	dr-xr-xr-x  7 root          512 May 29 16:32 ..
	d--x--x--x  2 root          512 Jun 16 15:33 ftp-exec
	lrwxrwxrwx  1 root            4 May 29 15:47 gunzip -> gzip
	---x--x--x  1 root       180224 May 29 15:47 gzip
	---x--x--x  1 root       262144 May 29 00:04 ls
	lrwxrwxrwx  1 root            4 May 29 15:48 zcat -> gzip
/home/ftp/dev contains
	james# ls -la dev
	total 2
	dr-xr-xr-x  2 root          512 May 29 16:32 .
	dr-xr-xr-x  7 root          512 May 29 16:32 ..
	crw-r--r--  1 root       3,  12 May 29 16:32 zero
/home/ftp/etc contains
	james# ls -la etc
	total 4
	d--x--x--x  2 root          512 May 30 11:50 .
	dr-xr-xr-x  7 root          512 May 29 16:32 ..
	-r--r--r--  1 root           23 May 29 15:58 group
	-r--r--r--  1 root           51 May 29 16:00 passwd

Thanks at advance.
Yours,

Ulla Fischer
Danmarks Meteorologiske Institut      Email: [email-masked]
Edb-afdelingen                        Phone: + 45 39 15 75 00 
Lyngbyvej 100                         Phone: + 45 39 15 75 54
2100 Koebenhavn 0                     Fax:   + 45 39 15 75 98
Denmark